# Processing Results

Both our .NET & JavaScript SDK's return a JSON or XML payload representing the launched Keyfax session when the session is cancelled or completed within Keyfax.

By default the results for the current session will be returned in JSON with both our .NET & JavaScript SDK's unless `application/xml` is specified via the `Accept` header within the request. Both our .NET & JavaScript SDK's expose an `Accept` property you can configure via the client to return JSON or XML from the Keyfax Web API.

You can see an example of a typical response for results from Keyfax below. Of course this response will differ depending on the activities performed during the launched Keyfax session, these results are provided for demonstration purposes only.

Repairs Dianostics

```
{
   "KeyfaxData":{
      "Fault":{
         "@name":"Fault1",
         "@type":"RD",
         "IsDeleted":"False",
         "IsDirty":"False",
         "IsNew":"True",
         "Fault_Dialog":"11315",
         "Fault_Category":"10766",
         "CompanyCode":null,
         "ScriptSet":"1",
         "FaultText":"Damp: Damp; damp coming through floor; lounge; unknown; test",
         "LogDate":"08/06/2021 11:26:39",
         "Communal_Type":"",
         "Reason_Code":"",
         "Reason_Text":"",
         "Recharge":"0",
         "Recharge_Code":"RREP",
         "Recharge_Cost":"0.00",
         "Repair_No":"",
         "Repair_Status":"2",
         "RTR":null,
         "RTR_Date":null,
         "Insurance":null,
         "Schedule_ID":"administrator\\44",
         "Site_Visit":"",
         "Additional_Info":"",
         "Special_Instructions":"",
         "Tenancy_Type":"1",
         "ClientID":"",
         "TenantID":"",
         "TenantText":"",
         "UserCode":"administrator",
         "ScriptPath":{
            "Question":[
               "Q1 = What is the problem with the damp?: A1 = damp coming through floor",
               "Q2 = Which room is the damp problem in?: A2 = lounge",
               "Q3 = Is there water leaking: A3 = unknown",
               "Q4 = What is the problem with the damp coming through the floor: A4 = spoling tiles",
               "Q5 = Could it be caused by condensation?: A5 = No"
            ]
         },
         "Contractor_Code":"",
         "Contractor_Email":null,
         "Contractor_Region":null,
         "Expenditure_Code":null,
         "Nominal_Code":null,
         "Job_Code":null,
         "Location":null,
         "HDIH":null,
         "RepairCount":"1",
         "AdviceCount":"1",
         "CustomCount":"0",
         "ActionCount":"0",
         "SubActionCount":"0",
         "UpdateCount":"0",
         "Repair":{
            "@name":"Repair1",
            "CompleteBy":"06/07/2021 11:26:39",
            "ResponseDays":"28",
            "Priority":"R",
            "PriorityId":"2105",
            "RepairCode":"INSP",
            "RepairCodeEx":"INSP",
            "RepairCodeDesc":"Inspection by Technical Officer",
            "UnitOfMeasure":"No",
            "UnitOfMeasureQuantity":"1",
            "Contractor":"T01",
            "IsDeleted":"False",
            "IsDirty":"False",
            "IsNew":"True"
         },
         "Advice":{
            "@name":"Advice1",
            "AdviceCode":"ACT103",
            "AdviceCodeEx":"ACT103",
            "AdviceCodeDesc":"Give details in additional information",
            "AdvicePlainText":"MSG: Additional informationIf further details required, enter them in 'Additional Information' on last screen.",
            "IsDeleted":"False",
            "IsDirty":"False",
            "IsNew":"True"
         }
      },
      "GUID":"d65d3fe1-ebc5-4de6-9f0f-4dc74e512167",
      "Status":"1"
   }
}
```

General Enquiries


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks/processing-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
